Debian Bug report logs - #635958
anthy: upstream documentation of zipcode.t copyright may be improved

version graph

Package: anthy; Maintainer for anthy is NOKUBI Takatsugu <knok@daionet.gr.jp>; Source for anthy is src:anthy.

Reported by: Osamu Aoki <osamu@debian.org>

Date: Fri, 29 Jul 2011 19:27:01 UTC

Severity: wishlist

Found in version anthy/9100h-9

Fixed in version anthy/9100h-17

Done: Hideki Yamane <henrich@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, NOKUBI Takatsugu <knok@daionet.gr.jp>:
Bug#635958; Package anthy. (Fri, 29 Jul 2011 19:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
New Bug report received and forwarded. Copy sent to NOKUBI Takatsugu <knok@daionet.gr.jp>. (Fri, 29 Jul 2011 19:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: anthy: upstream documentation of zipcode.t copyright may be improved
Date: Sat, 30 Jul 2011 04:24:14 +0900
Package: anthy
Version: 9100h-9
Severity: minor

The source of copyright of zipcode.t is a bit unclear.  
I think there was possible oversight by the upstream.

If this was created from the Japanese postal office data, it comes with
requirement to include copyright note.  Unlike other things on the post
office web site, this can be used freely so there is no real problem
Zqusing it as long as we follow its license.
 http://www.post.japanpost.jp/zipcode/dl/readme.txt

(5)使用・再配布・移植・改良について

    郵便事業株式会社は著作権を主張しますが、「フリーソフトウェア」とします。
   以下の条件に従って、自由に使用していただいてかまいません。
  1) 著作権表示を変更しないこと。
  2) この README.TXT を必ず添付すること。
  3) 改変(移植・改良等)をされた場合は、改変者の氏名・連絡先などとともに
   改変が加えられていることを明示すること。
  4) このプログラムを使用したことによって生じた損害を郵便事業株式会社は保証しない。
  5) このプログラムに不備があっても、郵便事業株式会社はそれを訂正する義務を負わない。
  6) 雑誌・商品などに添付して再配布する場合は、少なくとも1ヶ所には著作権
   表示をすること。

   いずれの場合も郵便事業株式会社への許諾は不要です。


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (50, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages anthy depends on:
ii  anthy-common                  9100h-9    input method for Japanese - common
ii  debconf [debconf-2.0]         1.5.40     Debian configuration management sy
ii  libanthy0                     9100h-9    input method for Japanese - runtim
ii  libc6                         2.13-10    Embedded GNU C Library: Shared lib

anthy recommends no packages.

anthy suggests no packages.

-- debconf information:
  anthy/dictionaries: base.t, extra.t




Severity set to 'wishlist' from 'minor' Request was from Hideki Yamane <henrich@iijmio-mail.jp> to control@bugs.debian.org. (Mon, 09 Jul 2012 04:42:13 GMT) Full text and rfc822 format available.

Message sent on to Osamu Aoki <osamu@debian.org>:
Bug#635958. (Mon, 09 Jul 2012 04:42:16 GMT) Full text and rfc822 format available.

Message #10 received at 635958-submitter@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@iijmio-mail.jp>
To: 635958-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: anthy: upstream documentation of zipcode.t copyright may be improved
Date: Sun, 8 Jul 2012 22:31:24 -0600
severity 635958 wishlist
thanks

Hi,

 I've checked upstream, and I think you've misunderstood its license.

>  Unlike other things on the post
> office web site, this can be used freely so there is no real problem
> Zqusing it as long as we follow its license.
>  http://www.post.japanpost.jp/zipcode/dl/readme.txt
> 
> (5)使用・再配布・移植・改良について
> 
>     郵便事業株式会社は著作権を主張しますが、「フリーソフトウェア」とします。
>    以下の条件に従って、自由に使用していただいてかまいません。
>   1) 著作権表示を変更しないこと。
>   2) この README.TXT を必ず添付すること。
>   3) 改変(移植・改良等)をされた場合は、改変者の氏名・連絡先などとともに
>    改変が加えられていることを明示すること。
>   4) このプログラムを使用したことによって生じた損害を郵便事業株式会社は保証しない。
>   5) このプログラムに不備があっても、郵便事業株式会社はそれを訂正する義務を負わない。
>   6) 雑誌・商品などに添付して再配布する場合は、少なくとも1ヶ所には著作権
>    表示をすること。
> 
>    いずれの場合も郵便事業株式会社への許諾は不要です。

 It is for _the MS-DOS/Windows programs_ they provide.

> CSV(可変長データ)以外の形式で利用される場合
> 
> CSV(可変長データ)以外の形式で郵便番号データをご使用になる場合はこちらのソフトをご利用下さい。
> 
> ご利用案内(README)	readme.txt (txt形式:12.2KB)
> MS-DOS形式変換プログラム	CONV Application Ver2.0 (exe形式:80.6KB)
> IBM標準H型
> データ交換形式変換プログラム	Convhd.exe (for Win3.1) (exe形式:69.3KB)
> Convhdd.exe (for Dos) (exe形式:42.2KB)
> ご利用される際には、必ずご利用案内をお読みください。

 "ご利用案内" is linked to http://www.post.japanpost.jp/zipcode/dl/readme.txt

 And zipcode itself is provided as public domain. They say 
> 使用・再配布・移植・改良について
> 
> 郵便事業株式会社は著作権を主張しません。自由に配布していただいて結構です。

 "It's public domain. It can be distributed freely."
 see http://www.post.japanpost.jp/zipcode/dl/readme.html


-- 
Hideki Yamane <henrich@iijmio-mail.jp>




Added tag(s) pending. Request was from Hideki Yamane <henrich@debian.org> to control@bugs.debian.org. (Thu, 02 Aug 2012 12:57:04 GMT) Full text and rfc822 format available.

Reply sent to Hideki Yamane <henrich@debian.org>:
You have taken responsibility. (Thu, 02 Aug 2012 15:03:03 GMT) Full text and rfc822 format available.

Notification sent to Osamu Aoki <osamu@debian.org>:
Bug acknowledged by developer. (Thu, 02 Aug 2012 15:03:03 GMT) Full text and rfc822 format available.

Message #17 received at 635958-close@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.org>
To: 635958-close@bugs.debian.org
Subject: Bug#635958: fixed in anthy 9100h-17
Date: Thu, 02 Aug 2012 15:02:12 +0000
Source: anthy
Source-Version: 9100h-17

We believe that the bug you reported is fixed in the latest version of
anthy, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635958@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hideki Yamane <henrich@debian.org> (supplier of updated anthy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 05 Jul 2012 16:57:13 +0900
Source: anthy
Binary: anthy anthy-common anthy-el libanthy0 libanthy-dev
Architecture: source amd64 all
Version: 9100h-17
Distribution: experimental
Urgency: low
Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
Changed-By: Hideki Yamane <henrich@debian.org>
Description: 
 anthy      - input method for Japanese - backend, dictionary and utility
 anthy-common - input method for Japanese - common files and dictionary
 anthy-el   - input method for Japanese - elisp frontend
 libanthy-dev - input method for Japanese - development files
 libanthy0  - input method for Japanese - runtime library
Closes: 635958
Changes: 
 anthy (9100h-17) experimental; urgency=low
 .
   * debian/control
     - anthy-el seems to not work with xemacs21-nomule, so set "Conflicts:
       xemacs21-nomule" as workaround. If it would work again, then remove this
       setting (Closes: LP#325790)
   * debian/patches
     - add explanation to each patch file
     - add inactivate-input-method.patch to deal with changes in emacs-head
     - add remove_wrong_trans_data.patch to avoid wrong translation
   * debian/rules
     - enable parallel build
   * nokuno-dictionary-20120103-dfsg (hatena is removed since license issue)
     - add SocialIME and Wikipedia dictionary, those files are provided as
       multiple upstream tarball. It comes from
       http://code.google.com/p/nokuno/downloads/detail?name=dictionary.tar.bz2
   * debian/update-anthy-dic,anthy-common.install,rules
     - add social-ime.ctd and wikipedia.ctd
   * debian/copyright
     - add explation for zip_code.t license (Closes: #635958)
Checksums-Sha1: 
 fc95294a184fbc89a69d1f9fa9b73ad2cef68ef6 2717 anthy_9100h-17.dsc
 464fbfe51b78fab5051f0e74cb34cbc7db067d6b 46320 anthy_9100h.orig-2ch-20040519.tar.xz
 f2b3a992716a7a875832b3c7069c48d9d863fb49 1507868 anthy_9100h.orig-nokuno-dictionary-20120103-dfsg.tar.xz
 bfea9e74e208c4b976b6bd7ac6784cd290c636fd 4446148 anthy_9100h.orig.tar.gz
 dc62fb7b008c733b2382956743aa83b313f18347 40099 anthy_9100h-17.debian.tar.gz
 0f6ef3775f345e72957d3c6a19a719f9dbbb4273 162312 anthy_9100h-17_amd64.deb
 d10cb3ad1e205059121da40fe6f81fd0fdab1d97 3943362 anthy-common_9100h-17_all.deb
 921596cd5880b9c4299cf4c43f4795d590df5ec2 40522 anthy-el_9100h-17_all.deb
 cb4b05b422de83a278ee03c82b9652a768b76b1c 189078 libanthy0_9100h-17_amd64.deb
 a2a9fee6a9146eb53966bf5b7098d50bee4d9ec6 219568 libanthy-dev_9100h-17_amd64.deb
Checksums-Sha256: 
 1da5b3fa123a1b4cb51e62ee0ff4a4f8ba48be468c935d73e9d33a50c5e0ec29 2717 anthy_9100h-17.dsc
 4fdda6fcc2f0a899125068750dbb101e323f24762b5188a7678c553ef6ae73c5 46320 anthy_9100h.orig-2ch-20040519.tar.xz
 77e6eefdd5f762ce9863785c75b94c0c9f24b8a611b93dea9b60b760d35c40b5 1507868 anthy_9100h.orig-nokuno-dictionary-20120103-dfsg.tar.xz
 d256f075f018b4a3cb0d165ed6151fda4ba7db1621727e0eb54569b6e2275547 4446148 anthy_9100h.orig.tar.gz
 44b1ed37bbaaccc8e09774abbba4a0bddcf26c1cc50597437f66732a089b51da 40099 anthy_9100h-17.debian.tar.gz
 ababeceb0680f5145c6bfe2a80edc9b8cad9ea42c11fe41ed9980756bfa7d598 162312 anthy_9100h-17_amd64.deb
 b3c6069c8394fc1a31eab85830b4eb6599b0233df60116269a72a7f3e3b60b8b 3943362 anthy-common_9100h-17_all.deb
 26f79db1d883732dc8992309139c55be7be012e05bdfcbc3acc7fba8c5c163f4 40522 anthy-el_9100h-17_all.deb
 d90ee79e0c82f8207d8cf224676be11a85e64456e5c94e62deea1d6f29fb6f04 189078 libanthy0_9100h-17_amd64.deb
 53b7ca02c6da6d1f42b12a00034e47de6750f7c60971bd361ec9034eb30ad636 219568 libanthy-dev_9100h-17_amd64.deb
Files: 
 e4341bd1cef2e3d397840bd961bdbce5 2717 utils optional anthy_9100h-17.dsc
 a1d2aaac4ae28cdf25b13ee28fff9aff 46320 utils optional anthy_9100h.orig-2ch-20040519.tar.xz
 747e5d59159604b02a41fbf608895511 1507868 utils optional anthy_9100h.orig-nokuno-dictionary-20120103-dfsg.tar.xz
 1f558ff7ed296787b55bb1c6cf131108 4446148 utils optional anthy_9100h.orig.tar.gz
 e081aca544d592001c44c67b9b9caba8 40099 utils optional anthy_9100h-17.debian.tar.gz
 0a67d5892008f673549dab88b9d6b9fb 162312 utils optional anthy_9100h-17_amd64.deb
 d14d89477f40431d9e647da04b9c8f84 3943362 utils optional anthy-common_9100h-17_all.deb
 11eb719be5412e15d934245b3d87e8db 40522 lisp optional anthy-el_9100h-17_all.deb
 1d92ab6ca743010acc1eb41c6b8a0584 189078 libs optional libanthy0_9100h-17_amd64.deb
 a374a2fd6fc456b2c92c957b5dd82809 219568 libdevel optional libanthy-dev_9100h-17_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQGpSUAAoJEF0yjQgqqrFAfbcP/A7brJWqkPL3z8ZPxqnOx0Oq
ILe4x9EydtRZhFj5D5IXhNoJOLUFOumFwYvBJ6dcCTOXrA4WLMVOm6MIDpkAqvlo
aHkzIkh/UUIgndVjfV0oSb8katDXiWQoFMMN7VHL/dxq/k/+TYuoUZRSt/my0JWq
zjd7EF/b2nXABSZjvkzIl3kFiCXHe1OkqvYDig/p5aKpJm56ojR4gcjYx5ciD60c
4ohvLD/+wkZ5DeLd1d3s3wi89D86ykZPGpKhk0IcHO/L/SQIk3kdwef/abP6sPWI
tQxnMW9PjUFFLD+ZZgQNGckZ5T4U8jT2AJY4zhGTx/Y0LQROgGQ4z8Gc5w/2+FdE
zhXPZTmM51/wQHoczB1Fxie178YXeNTKeJ+2BNQyXYFNbQMIkv2S4TvIkw/eidbh
0y8cDALkBmmLGNpkvRRsVANH3dtsioTCXy+mgjOGpYL+ztW6hqtT/eESe8y44Kyz
1LD3uA4rRdCeqxGjMoWCRmJfbI3zfxQEOk9Uf+WeBbWRdddhbh9FL2fRrunZeoJl
pLTOz3snSu+CUQsg6vWytA8/B6I3sRSdzHG3VOZHFILK61oxTwSIl5BrPHFY+mnx
RSWdGH7QFuIFvHmmUznTju1szFTehufUvFU8i/yNGrRSFtA0OI7dOgW5erllMEvR
dYpYCezi3QlCnbMZaLCu
=18rF
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 08:40:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:20:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.